LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Slackware 13 - Gimp 2.6 (http://www.linuxquestions.org/questions/slackware-14/slackware-13-gimp-2-6-a-784676/)

mobjr 01-25-2010 02:52 PM

Slackware 13 - Gimp 2.6
 
Hi.

I don't speak English very well.

My Gimp doesn't work more. I don't know why?
When I type "gimp" in console, I see that message:

Quote:

gimp:6601): Gtk-WARNING **: Unable to locate theme engine in module_path: "ubuntulooks",

(gimp:6601): GLib-GObject-WARNING **: specified class size for type `GimpOperationPointFilter' is smaller than the parent type's `GeglOperationPointFilter' class size

(gimp:6601): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(gimp:6601): GLib-GObject-CRITICAL **: g_type_register_static: assertion `parent_type > 0' failed

(gimp:6601): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(gimp:6601): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type `<invalid>'

Didier Spaier 01-25-2010 03:43 PM

Strange. Please provide output of following commands:
Code:

ls -1 /var/log/glib*
ls -1 /var/log/gtk*


mobjr 01-26-2010 01:52 AM

without logs.

Quote:

/bin/ls: cannot access /var/log/gtk*: No such file or directory
/bin/ls: cannot access /var/log/glib*: No such file or directory

Didier Spaier 01-26-2010 01:57 AM

Sorry, wrong commands, my fault. Type instead:
Code:

ls -1 /var/log/packages/gtk*
ls -l /var/log/packages/glib*


mobjr 01-26-2010 10:21 AM

Slackware 13 - Gimp 2.6
 
OK.

ls -1 /var/log/packages/gtk*
Quote:

-rw-r--r-- 1 root root 10272 2009-10-04 00:32 /var/log/packages/gtk+-1.2.10-i486-5
-rw-r--r-- 1 root root 62847 2009-10-04 00:32 /var/log/packages/gtk+2-2.14.7-i486-4
-rw-r--r-- 1 root root 63798 2009-12-25 08:16 /var/log/packages/gtk+2-2.16.6-i486-1gsb
-rw-r--r-- 1 root root 8444 2009-12-25 07:59 /var/log/packages/gtk-engines-2.18.2-i486-3gsb
-rw-r--r-- 1 root root 11668 2009-12-25 08:18 /var/log/packages/gtk-sharp-2.12.9-i486-1gsb
-rw-r--r-- 1 root root 1303 2009-12-25 08:24 /var/log/packages/gtk-vnc-0.3.8-i486-2gsb
-rw-r--r-- 1 root root 10989 2009-12-25 08:24 /var/log/packages/gtkhtml-3.26.3-i486-1gsb
-rw-r--r-- 1 root root 8943 2009-12-25 08:14 /var/log/packages/gtkmathview-0.8.0-i486-3gsb
-rw-r--r-- 1 root root 22216 2009-12-25 08:16 /var/log/packages/gtkmm-2.16.0-i486-3gsb
-rw-r--r-- 1 root root 12948 2009-12-25 08:16 /var/log/packages/gtksourceview-1.8.5-i486-4gsb
-rw-r--r-- 1 root root 15804 2009-12-25 08:16 /var/log/packages/gtksourceview2-2.6.2-i486-2gsb
-rw-r--r-- 1 root root 12125 2009-12-25 08:16 /var/log/packages/gtksourceviewmm-2.2.0-i486-2gsb
-rw-r--r-- 1 root root 5631 2009-10-04 00:32 /var/log/packages/gtkspell-2.0.15-i486-1
ls -l /var/log/packages/glib*
Quote:

-rw-r--r-- 1 root root 1394 2009-10-04 00:31 /var/log/packages/glib-1.2.10-i486-3
-rw-r--r-- 1 root root 27862 2009-10-04 00:31 /var/log/packages/glib2-2.18.4-i486-1
-rw-r--r-- 1 root root 28111 2009-12-25 09:16 /var/log/packages/glib2-2.20.5-i486-1gsb
-rw-r--r-- 1 root root 313444 2010-01-25 19:54 /var/log/packages/glibc-2.11.1-i486-1
-rw-r--r-- 1 root root 223607 2009-10-04 00:32 /var/log/packages/glibc-i18n-2.9-i486-3
-rw-r--r-- 1 root root 1017 2009-10-04 00:32 /var/log/packages/glibc-profile-2.9-i486-3
-rw-r--r-- 1 root root 7811 2009-10-04 00:16 /var/log/packages/glibc-solibs-2.9-i486-3
-rw-r--r-- 1 root root 67800 2009-10-04 00:16 /var/log/packages/glibc-zoneinfo-2.9-noarch-3
-rw-r--r-- 1 root root 113417 2009-12-25 09:16 /var/log/packages/glibmm-2.20.1-i486-1gsb

Didier Spaier 01-26-2010 11:05 AM

Looks like you have conflicting packages (same purpose but not same version), some shipped with Slackware and some shipped with GSB.

For instance:
Code:

-rw-r--r-- 1 root root 62847 2009-10-04 00:32 /var/log/packages/gtk+2-2.14.7-i486-4
-rw-r--r-- 1 root root 63798 2009-12-25 08:16 /var/log/packages/gtk+2-2.16.6-i486-1gsb

and also:
Code:

-rw-r--r-- 1 root root 27862 2009-10-04 00:31 /var/log/packages/glib2-2.18.4-i486-1
-rw-r--r-- 1 root root 28111 2009-12-25 09:16 /var/log/packages/glib2-2.20.5-i486-1gsb

That *could* be the origin of your problems.

mobjr 01-26-2010 10:04 PM

Slackware 13 - Gimp 2.6
 
I uninstall both packages from Slackware with old version and restarted my computer.
Unfortunately nothing happen. I guess is Gnome.

Didier Spaier 01-27-2010 01:21 AM

Yes, in case of a potential conflict, better keep stock Slackware packages only, as you have no warranty that an application compiled in a given environment will work in another (especially newer) one.

mobjr 01-27-2010 02:22 AM

Slackware 13 - Gimp 2.6
 
Gnome has never been stable for Slackware.


All times are GMT -5. The time now is 06:27 AM.